/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增修改电子签赠送管理 POST /api/LgGigWorkerSignFreeSetting/CreateOrEditLgGigWorkerSignFreeSetting */
export async function createOrEditLgGigWorkerSignFreeSetting(
  body: API.CreateOrEditLgGigWorkerSignFreeSettingInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/LgGigWorkerSignFreeSetting/CreateOrEditLgGigWorkerSignFreeSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除电子签赠送管理 DELETE /api/LgGigWorkerSignFreeSetting/DeleteLgGigWorkerSignFreeSetting */
export async function deleteLgGigWorkerSignFreeSetting(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteLgGigWorkerSignFreeSettingParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorkerSignFreeSetting/DeleteLgGigWorkerSignFreeSetting', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取电子签通道 GET /api/LgGigWorkerSignFreeSetting/GetLgGigWorkerSignChannel */
export async function getLgGigWorkerSignChannel(options?: API.RequestConfig) {
  return request<API.LgGigWorkerSignChannelDto[]>(
    '/api/LgGigWorkerSignFreeSetting/GetLgGigWorkerSignChannel',
    {
      method: 'GET',
      ...(options || {}),
    }
  );
}

/** 获取电子签赠送管理列表 POST /api/LgGigWorkerSignFreeSetting/GetLgGigWorkerSignFreeSettingList */
export async function getLgGigWorkerSignFreeSettingList(
  body: API.GetGigWorkerSignFreeSettingInput,
  options?: API.RequestConfig
) {
  return request<API.LgGigWorkerSignFreeSettingDtoPageOutput>(
    '/api/LgGigWorkerSignFreeSetting/GetLgGigWorkerSignFreeSettingList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}
